Package net.officefloor.web
Interface HttpInputPath
- All Known Implementing Classes:
HttpInputPathImpl
public interface HttpInputPath
Provides path details for the
HttpInput.- Author:
- Daniel Sagenschneider
-
Method Summary
Modifier and TypeMethodDescription<T> HttpPathFactory<T>createHttpPathFactory(Class<T> valuesType) Creates theHttpPathFactory.booleanisMatchPath(String path, int endingPathParameterTerminatingCharacter) Indicates if the path matches theHttpInputpath.booleanIndicates if the path contains parameters (e.g.
-
Method Details
-
isMatchPath
Indicates if the path matches theHttpInputpath.- Parameters:
path- Path.endingPathParameterTerminatingCharacter-Charactervalue for theCharacterthat terminates the ending path parameter. This is ignored if the last part of the path is static (i.e. only applies for last parameter to know when it terminates the path, e.g./path/{last}). Should the last parameter consume the remainder of the path, provide-1to indicate no terminatingCharacter.- Returns:
trueif the path matches theHttpInputpath.
-
isPathParameters
boolean isPathParameters()Indicates if the path contains parameters (e.g./{param}).- Returns:
trueif the path contains parameters.
-
createHttpPathFactory
Creates theHttpPathFactory.- Type Parameters:
T- Value type.- Parameters:
valuesType- Type to use for obtaining values to construct the path. Should the path not contain parameters, it may benull.- Returns:
HttpPathFactory.- Throws:
HttpException- If required path parameters are not available on the values type.
-